Application: gvSIG desktop - gvSIG bugs #1892
Open a gvsproj file from the system file manager fails
06/04/2013 04:58 PM - Manuel Madrid

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Application

Target version: 2.1.0-2221-testing

Severity: Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2220 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

1. Create and save a gvSIG project.

2. Find the file with the system (Windows or Linux) file manager.

3. Right click on the file name and select "Open with..." option.

4. Select the gvSIG executable file (.exe or .sh).

5. gvSIG starts launching but finally we get an error and the application is not opened properly.

Attached both Windows and Linux log files.

Associated revisions

Revision 41076 - 01/24/2014 06:02 AM - Joaquin del Cerro Murciano

Intento de corregir el bug #1892 relacionado con la apertura del proyecto desde linea de comandos.
Sigue sin ir.

refs #1892

History

#1 - 06/04/2013 05:00 PM - Manuel Madrid
- File gvSIG try_open_gvsproj _from_file_manager.log added
- File gvSIG_try_open_gvsproj_from_file_manager_windows.log added

#2 - 01/13/2014 01:05 PM - Alvaro Anguix

Puedes comprobar si te sucedes con el Gltimo build?
En su caso asignalo a Joaquin.

#3 - 01/16/2014 12:53 PM - Alvaro Anguix

- Target version set to 2.1.0-2221-testing

#4 - 02/01/2014 12:04 PM - Alvaro Anguix

- Assignee set to Juan Lucas Dominguez
- Priority changed from Normal to High
- Target version changed from 2.1.0-2221-testing to 2.1.0-2219-testing
- gvSIG version changed from 2.0.0 to 2.1.0
- gvSIG build changed from 2066 to 2218

#5 - 02/03/2014 08:49 AM - Juan Lucas Dominguez

Hola, no sé si vale la pena que dedigue tiempo a investigar por qué no funciona. Joaquin: ;Dénde esta el cédigo importante que intenta abrir el

proyecto? Para reproducir el problema, ¢basta con poner en lo parametros de Eclipse esto?

gvSIG gvSIG/extensiones C:/proyectos/proyecto.gvsprj

#6 - 02/03/2014 08:58 AM - Alvaro Anguix
- Status changed from New to Awaiting response

#7 - 02/03/2014 05:05 PM - Joaquin del Cerro Murciano

- Status changed from Awaiting response to New

- Assignee changed from Juan Lucas Dominguez to Joaquin del Cerro Murciano

Juan Lucas, no te metas con esto ahora mismo.
Tiene mas tela de la que parece.
La carga se hace en ProjectExtension, y cuando se carga esta extension aun faltan por cargar muchas cosas y si intenta cargar un projecto no puede

(aun no tiene ni la vista inicializada).

He intentado cambiar las prioridades de algunas extensiones para que se cargue lo que toca antes que ProjectExtension pero no se puede, en cuanto

te descuidas falla por que no ha inicializado cosas que precisa un proyecto.

Supongo que la solucion mas simple sera crear una nueva extension con una prioridad tal que se inicialize la ultima y que se encargue de cargar el

proyecto.

Aparte de esto tambien me daba un error muy raro si metia a capon codigo para cargar un proyecto al final de inicializar todas las extensiones.
Ya intento mirarlo cuando tenga un rato.

#8 - 02/13/2014 02:00 PM - Alvaro Anguix

- Target version changed from 2.1.0-2219-testing to 2.1.0-2221-testing

#9 - 02/20/2014 11:05 AM - Alvaro Anguix

- Assignee changed from Joaquin del Cerro Murciano to Juan Lucas Dominguez
- gvSIG build changed from 2218 to 2220

Habria que crear una nueva extensién y mover la carga del proyecto a esta nueva extension.

Asegurandonos que la nueva extension se ejecuta después del resto.

#10 - 02/28/2014 07:56 AM - Juan Lucas Dominguez

- Status changed from New to In progress

#11 - 02/28/2014 02:51 PM - Alvaro Anguix
Hemos quedado en comprobar si funciona con lo comentado y si no fuera asi lo dejariamos para la 2.2

#12 - 03/03/2014 06:42 PM - Juan Lucas Dominguez

- Status changed from In progress to Fixed

Added trivial extension to deal with initial project and new method in PluginsManager

gvsig-desktop:r41219

gvsig-desktop:r41218
gvsig-desktop:r41217

#13 - 03/10/2014 03:29 PM - Alvaro Anguix

- Status changed from Fixed to Closed

Files
gvSIG_try_open_gvsproj_from_file_manager.log 223 KB 06/04/2013 Manuel Madrid
gvSIG_try_open_gvsproj_from_file_manager_windows.log 227 KB 06/04/2013 Manuel Madrid
